Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.eclipse
[Java] Interface HierarchicalEclipseProject

    org.gradle.tooling.model.HierarchicalElement
      org.gradle.tooling.model.Element
          org.gradle.tooling.model.eclipse.HierarchicalEclipseProject
              org.gradle.tooling.model.Model

All Superinterfaces:
  HierarchicalElement, Element, Model

    public interface HierarchicalEclipseProject
    extends HierarchicalElement

Represents the basic information about an Eclipse project.

Method Summary
`DomainObjectSet` | `getChildren()` {@inheritDoc}
`DomainObjectSet` | `getLinkedResources()` Returns the linked resources for this project.
`HierarchicalEclipseProject` | `getParent()` {@inheritDoc}
`DomainObjectSet` | `getProjectDependencies()` Returns the project dependencies for this project.
`File` | `getProjectDirectory()` Returns the project directory for this project.
`DomainObjectSet` | `getSourceDirectories()` Returns the source directories for this project.

Methods inherited from interface HierarchicalElement
getChildren, getParent

Methods inherited from interface Element
getDescription, getName

Method Detail

### getChildren

    public DomainObjectSet getChildren()

  {@inheritDoc}

### getLinkedResources

    public DomainObjectSet getLinkedResources()

  Returns the linked resources for this project.
  throws:
    org.gradle.tooling.model.UnsupportedMethodException When the target Gradle version does not support this information. You can safely catch ignore this exception and query the model for other information.
  Returns:
    The linked resources.
  Since:
    1.0-milestone-4

### getParent

    public HierarchicalEclipseProject getParent()

  {@inheritDoc}

### getProjectDependencies

    public DomainObjectSet getProjectDependencies()

  Returns the project dependencies for this project.
  Returns:
    The project dependencies. Returns an empty set if the project has no project dependencies.

### getProjectDirectory

    public File getProjectDirectory()

  Returns the project directory for this project.
  Returns:
    The project directory.

### getSourceDirectories

    public DomainObjectSet getSourceDirectories()

  Returns the source directories for this project.
  Returns:
    The source directories. Returns an empty set if the project has no source directories.

Gradle API 1.1-rc-1